import styled, { css } from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
var color = selectors.color,
  spacing = selectors.spacing;
var positionStyles = {
  start: css(["order:1;padding-right:0;"]),
  end: css(["order:3;padding-left:0;"])
};
export var StyledAdornment = styled.div.withConfig({
  displayName: "StyledAdornment",
  componentId: "sc-1ui6org-0"
})(["display:flex;justify-content:center;flex-direction:column;text-align:center;padding:", ";color:", ";", ""], spacing('6'), color('neutral', '400'), function (_ref) {
  var $position = _ref.$position;
  return positionStyles[$position];
});